

%container {
  margin-left : auto;
  margin-right : auto;
  width : 90%;
  //max-width : 768px;
  max-width : 38em;
}
.container {
  @extend %container;
}

[role=banner] hgroup, main > * {
  @extend %container;
}

[role=banner] {
  background-color : ghostwhite;
  padding : 2rem 0;
  hgroup {
    h1, h2, h3, h4, h5, h6 {
      line-height : 1;
      margin : 0 auto 1rem auto;
      padding : 0;
    }
  }
}
[role=contentinfo] {
  text-align : center;
  padding : 2rem 0;
  line-height : 1;
  margin : 0;
  background-color : ghostwhite;
  p {
    font-size : small;
    text-align : center;
    line-height : 1;
    margin : 0 auto;
    color: gray;
    font-weight : 500;
  }
}
main {
  background-color : #ffffff;
  padding : 1rem 0;
  margin : 0;
  section, article {
    padding : 1rem 0;
    margin-bottom : 2rem;
  }
}
nav {
  ul {
    @extend %list-reset;
  }
  a {
    text-decoration : none;
  }
}


section {
  h1, h2, h3, h4, h5, h6 {
    &:first-child {
      margin-top : 0;
      margin-bottom : 2rem;
    }
  }
}


body, html {
  background-color : ghostwhite;
}
main {
  background-color : #ffffff;
}

.dark-bg {
  background-color : #111111;
}
